#ifndef CHINPUT_H
#define CHINPUT_H

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xos.h>
#include <X11/keysym.h>
#include <sys/types.h>
#include <sys/time.h>
#include <unistd.h>
#include <signal.h>

/*
 * EVENT_MASK	ExposureMask , KeyPressMask ButtonPressMask,
 * StructureNotifyMask EnterWindowMask,  LeaveWindowMask FocusChangeMask
 */

#define	EVENT_MASK	( ExposureMask | StructureNotifyMask )

#define NEED_BYPASS   0
#define NEED_COMMIT   1
#define NEED_FORWARD  2


#define SPECIAL_KEY_MASK (ShiftMask|LockMask|Mod1Mask	\
			  |Mod2Mask|Mod3Mask|Mod4Mask	\
			  |Mod5Mask)

void            get_gc(Window w, GC * gc, XFontStruct * font_info);
void            redraw(void);
int            process_keys(XKeyEvent *event);

#endif






