/*
 * $Id: util.c,v 1.1.1.1 2000/11/29 08:19:28 phj Exp $
 */
#include "util.h"

u_char         *
u_strcpy(register u_char * to, register const u_char * from)
{
	u_char         *save = to;

	for (; (*to = *from); ++to, ++from);
	return (save);
}


int
u_strcmp(register const u_char * s1, register const u_char * s2)
{
	while (*s1 == *s2++)
		if (*s1++ == 0)
			return (0);
	return (*(const u_char *) s1 - *(const u_char *) (s2 - 1));
}

u_char         *
u_strcat(register u_char * s, register const u_char * append)
{
	u_char         *save = s;

	for (; *s; ++s);
	while ((*s++ = *append++));
	return (save);
}

int
u_strlen(const unsigned char *str)
{
	register const unsigned char *s;

	for (s = str; *s; ++s);
	return (s - str);
}
